import request from "@/utils/request";

// 查询计划管理列表
export function listManage(query: any) {
  return request({
    url: "/system/manage/list",
    method: "get",
    params: query,
  });
}

// 查询计划管理详细
export function getManage(id: any) {
  return request({
    url: "/system/manage/" + id,
    method: "get",
  });
}

// 新增计划管理
export function addManage(data: any) {
  return request({
    url: "/system/manage/add",
    method: "post",
    data: data,
  });
}

// 修改计划管理
export function updateManage(data: any) {
  return request({
    url: "/system/manage/upd",
    method: "post",
    data: data,
  });
}

// 删除计划管理
export function delManage(id: any) {
  return request({
    url: "/system/manage/" + id,
    method: "delete",
  });
}
